Page MenuHomePhabricator

Install "healthcheck" plugin on gerrit
Closed, ResolvedPublic

Description

We should install https://gerrit.googlesource.com/plugins/healthcheck/ and add a icinga check that hits the api.

Api being "/config/server/healthcheck~status"

Event Timeline

Paladox created this task.Jan 21 2019, 7:03 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 21 2019, 7:03 PM
Paladox moved this task from Bugs & stuff to Needs a plugin! on the Gerrit board.Jan 21 2019, 7:03 PM
jcrespo renamed this task from Install "healthcheck" plugin to Install "healthcheck" plugin on gerrit.Jan 21 2019, 7:08 PM
greg triaged this task as Normal priority.Jan 22 2019, 5:45 AM
greg added a subscriber: greg.

The beneficial information, it reports specific status of these sub-parts of Gerrit (from the plugin readme):

reviewdb: check that Gerrit can connect and query ReviewDb
projectslist: check that Gerrit can list projects
auth: check that Gerrit can authenticate users

Change 487913 had a related patch set uploaded (by Paladox; owner: Paladox):
[operations/software/gerrit@wmf/stable-2.15] Add healthcheck plugin

https://gerrit.wikimedia.org/r/487913

Change 488088 had a related patch set uploaded (by Thcipriani; owner: Thcipriani):
[operations/software/gerrit@wmf/stable-2.15] plugins: add healthcheck plugin

https://gerrit.wikimedia.org/r/488088

Change 488088 abandoned by Thcipriani:
plugins: add healthcheck plugin

Reason:
Abandoning in favor of I21bdee1e365582fcafb235b6cb4d2fee9a4cd361

https://gerrit.wikimedia.org/r/488088

Change 487913 merged by Thcipriani:
[operations/software/gerrit@wmf/stable-2.15] Add healthcheck plugin

https://gerrit.wikimedia.org/r/487913

Change 488101 had a related patch set uploaded (by Thcipriani; owner: Thcipriani):
[operations/software/gerrit@deploy/wmf/stable-2.15] Plugins: Add healthcheck plugin jar

https://gerrit.wikimedia.org/r/488101

Change 488101 merged by Hashar:
[operations/software/gerrit@deploy/wmf/stable-2.15] Plugins: Add healthcheck plugin jar

https://gerrit.wikimedia.org/r/488101

Mentioned in SAL (#wikimedia-operations) [2019-02-06T19:11:27Z] <thcipriani@deploy1001> Started deploy [gerrit/gerrit@3272a46]: Add healthcheck plugin (no restart) cobalt T214326

Mentioned in SAL (#wikimedia-operations) [2019-02-06T19:11:36Z] <thcipriani@deploy1001> Finished deploy [gerrit/gerrit@3272a46]: Add healthcheck plugin (no restart) cobalt T214326 (duration: 00m 09s)

thcipriani closed this task as Resolved.Wed, Feb 6, 8:20 PM
thcipriani claimed this task.
(/^ヮ^)/*:・゚✧ curl 'https://gerrit.wikimedia.org/r/config/server/healthcheck~status'
)]}'
{
  "elapsed": 30,
  "querychanges": {
    "result": "passed",
    "ts": 1549484383266,
    "elapsed": 15
  },
  "reviewdb": {
    "result": "passed",
    "ts": 1549484383251,
    "elapsed": 12
  },
  "jgit": {
    "result": "passed",
    "ts": 1549484383263,
    "elapsed": 1
  },
  "projectslist": {
    "result": "passed",
    "ts": 1549484383264,
    "elapsed": 2
  },
  "ts": 1549484383251
}